
using WCS.BLL.DbModels;
using WCS.Model;
using WCS.Model.ApiModel;
using WCS.Model.ApiModel.MatBaseInfo;
using WCS.Model.ApiModel.User;

namespace WCS.BLL.Services.IService
{

    public interface IGenerateService
    {
        public Task<ResponseCommon<List<MatInfo>>> generateMatInfo(GenerateMatInfoRequest request);

        public Task<string> generateStockTakingNumber();

        public Task<string> generateOutOrderNumber();

        public Task<string> generateMXPDOutOrderNumber();


        //金川项目增加接口
        /// <summary>
        /// 查询当前物料编码是哪个物料 没有则直接添加
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        public Task<ResponseBase> JinChuanGenerateMatInfo(JinChuanGenerateMatInfoRequest request);

        public Task<ResponseBase> JinChuanCommitMatInfo(JinChuanCommitMatInfoRequest request);
    }
}
